DEVRES_OPEN_GROUP(9)

NAME
devres_open_group - Open a new devres group

SYNOPSIS

void * devres_open_group(struct device * dev, void * id, gfp_t gfp);

ARGUMENTS

dev
    Device to open devres group for

id
    Separator ID

gfp
    Allocation flags

DESCRIPTION

Open a new devres group for dev with id. For id, using a pointer to an object which won't be used for another group is recommended. If id is NULL, address-wise unique ID is created.

RETURNS

ID of the new group, NULL on failure.

COPYRIGHT